Load user data from Ansible compatible file
===========================================

Synopsis
-------------

.. note::

    | Ansible offers a tool (ansible-vault) for encrypting inventory files. With this user data you can open an encrypt inventory file. This is a perfect way to manage a smooth migration from Ansible inventory to Rougail. Or it could be a way to encrypt these secrets in a file with a secure format.
    | **Disabled**: if ansible is not set in "select for user data" (step.user_data).

Parameters
--------------

.. list-table::

   * - Variable
     - Description

   * - **ansible.filename**

       `UNIX filename <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `multiple` `mandatory` `*disabled*` `unique`

       **Command line**: 

       --ansible.filename

       **Environment variable**: ROUGAILCLI_ANSIBLE.FILENAME
     - Ansible filename inventory.

       **Validators**: 

       

       - this filename could be a relative path

       - this file must exist

       - 'file type allowed: "file"'

       

       **Disabled**: if ansible is not set in "select for user data" (step.user_data).

   * - **ansible.secret**

       `secret <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory` `*disabled*`

       **Command line**: 

       --ansible.secret

       **Environment variable**: ROUGAILCLI_ANSIBLE.SECRET
     - Secret to decrypt file.

       **Disabled**: if ansible is not set in "select for user data" (step.user_data).

   * - **ansible.file_with_secrets**

       `choice <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory` `*disabled*`

       **Command line**: 

       --ansible.file_with_secrets

       **Environment variable**: ROUGAILCLI_ANSIBLE.FILE_WITH_SECRETS
     - Ansible files that may contain secrets.

       **Choices**: 

       

       - all **← (default)**

       - first

       - last

       - none

       

       **Disabled**: if ansible is not set in "select for user data" (step.user_data).
